import { CADFiler } from "../../DatabaseServices/CADFiler";
import { I2DModeling, I3DModeling } from "../../DatabaseServices/Entity/Board";
import { BoardProcessOption } from "../../UI/Store/BoardInterface";
/**序列化板件数据 */
export declare function serializeBoardData(file: CADFiler, processData: BoardProcessOption): void;
export declare function deserializationBoardData(file: CADFiler, processData: BoardProcessOption, ver: number): void;
export declare function SerializeBoard2DModeingData(file: CADFiler, modelList: I2DModeling[]): void;
export declare function SerializeBoard3DModeingData(file: CADFiler, modelList: I3DModeling[]): void;
export declare function DeserializationBoard2DModeingData(file: CADFiler, data: I2DModeling[], ver: number): void;
export declare function DeserializationBoard3DModeingData(file: CADFiler, data: I3DModeling[], ver: number): void;
//# sourceMappingURL=SerializeBoardData.d.ts.map