import { Vec2 } from "three";
import { IOriginModelingData } from "../../../Production/Product";
import { BaseModel, CadBlockInfo } from "./CadBlockInfo";
import { CadBlockBasePosition } from "./CadModel";
export declare function GetOrgModelingArray(modeling: IOriginModelingData): (number | (number[] | number[][])[] | (number[] | number[][])[][])[];
export declare function GetArray<T extends BaseModel>(c: new () => T, arr: T[]): any[];
export declare function GetPointInfoArray(info: CadBlockInfo): [object, object, object, object, object, object];
export declare function GetVec2ListArray(pointList: Vec2[]): [number, number][];
export declare function GetVec2Array(point: Vec2): [number, number];
export declare function GetBasePositionArray(basePosition: CadBlockBasePosition): [number, number, number];
//# sourceMappingURL=ArrayHelper.d.ts.map