import { Matrix4 } from "three";
import { CameraUpdate } from "../../GraphicsSystem/CameraUpdate";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { CADFiler } from "../CADFiler";
import { CADObject } from "../CADObject";
export declare class CameraSnapshootRecord extends CADObject {
    Name: string;
    CameraData: CameraUpdate;
    UCS: Matrix4;
    RenderType: RenderType;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=CameraSnapshootRecord.d.ts.map