import { ICompHardwareOption } from "../../UI/Components/RightPanel/RightPanelInterface";
import { CADFiler } from "../CADFiler";
import { CompositeEntity } from "../Entity/CompositeEntity";
import { Entity } from "../Entity/Entity";
import { ObjectId } from "../ObjectId";
export declare class HardwareCompositeEntity extends CompositeEntity {
    HardwareOption: ICompHardwareOption;
    DataList: [string, string][];
    RelevanceBoards: ObjectId[];
    RelevanceHardware: ObjectId[];
    /**
     *
     * @param [checkIsHole=false] true:只获取是孔的实体 false:返回所有实体
     * @param [checkFilter] 过滤函数
     * @returns
     */
    GetAllEntity(checkIsHole?: boolean, checkFilter?: (e: Entity) => boolean): Entity[];
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=HardwareCompositeEntity.d.ts.map