import { ISpaceParse } from "../../../Geometry/SpaceParse/ISpaceParse";
import { IGrooveOption, VerticalBoardOption } from "../../../UI/Store/BoardInterface";
import { CADFiler } from "../../CADFiler";
import { TemplateBoardRecord } from "./TemplateBoard";
/**
 * 立板模板
 */
export declare class TemplateVerticalBoard extends TemplateBoardRecord {
    constructor();
    protected _option: VerticalBoardOption;
    private grooveOption;
    set GrooveOption(option: IGrooveOption);
    GeneralBoardList(space: ISpaceParse): import("../../Entity/Board").Board[];
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=TemplateVerticalBoard.d.ts.map