import { Entity } from '../../DatabaseServices/Entity/Entity';
import { Editor, EditorService } from '../Editor';
import { IGizmo } from './IGizmo';
export declare enum TransMode {
    Move = 0,
    Rotate = 1,
    Scale = 2,
    OCS = 3
}
export declare enum SpaceCSType {
    Local = 0,
    World = 1
}
export declare class TransformServicess implements EditorService {
    private _Editor;
    _Ents: Entity[];
    private _CurMode;
    private _SpaceCSType;
    private _CtrlAxes;
    private _Enable;
    private _Matrix;
    constructor(_Editor: Editor);
    get SpaceCSType(): SpaceCSType;
    set SpaceCSType(t: SpaceCSType);
    get IsReady(): boolean;
    Doit(e: MouseEvent): Promise<boolean>;
    private StartAxisMove;
    private StartRePlace;
    private StartRectMove;
    private StartRotate;
    private StartAxisScale;
    private StartFaceScale;
    private StarScale;
    private GetScaleVector;
    private InitAxes;
    get CurAxes(): IGizmo;
    set Mode(mode: TransMode);
    UpdateMtxFromEntity(): void;
    private UpdateAxesMatrix;
    private UpdateAxesFocus;
    set Enable(e: boolean);
    Cancel(): void;
}
//# sourceMappingURL=TransformServices.d.ts.map