import * as React from 'react';
import { Board } from '../../../DatabaseServices/Entity/Board';
export declare const BoardOptionModal: {
    new (props: any): {
        _ConfigOption: import("../../Store/BoardInterface").SingleBoardOption;
        _ProcessOption: import("../../Store/BoardInterface").BoardProcessOption;
        _GrooveOption: import("../../Store/BoardInterface").IGrooveOption;
        drillsOption: import("../../../Add-on/DrawDrilling/HoleUtils").IBoardRectHoleType;
        _CurrentBoard: import("mobx").IObservableValue<Board>;
        _IsSpecialBoard: import("mobx").IObservableValue<boolean>;
        canDrawSpecial: import("mobx").IObservableValue<boolean>;
        canModeling: import("mobx").IObservableValue<boolean>;
        remarks: [string, string][];
        otherBoardData: {
            isChaiDan: boolean;
        } & import("mobx").IObservableObject;
        _UIConfigOPtion: import("../../Store/BoardInterface").IUiOption<import("../../Store/BoardInterface").SingleBoardOption>;
        readonly CurrentBoard: Board;
        render(): JSX.Element;
        setBrConfig: (() => void) & import("mobx").IAction;
        InitRectBoardDrillOption: (() => void) & import("mobx").IAction;
        SetRectHighDrill: () => void;
        handleComfirmOption: () => void;
        handleChangeCurrentBoard: (br: Board) => void;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<{
            board: Board;
        }>) => {} | Pick<{}, K>) | Pick<{}, K>, callback?: () => void): void;
        forceUpdate(callback?: () => void): void;
        readonly props: Readonly<{
            board: Board;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<{
            board: Board;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<{
            board: Board;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<{
            board: Board;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<{
            board: Board;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<{
            board: Board;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<{
            board: Board;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<{
            board: Board;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType?: React.Context<any>;
};
//# sourceMappingURL=BoardOptionModal.d.ts.map