import * as React from 'react';
import { TopPanelStore } from '../../Store/TopPanelStore';
import { CommonPanel, IDirectoryProps } from './CommonPanel';
export interface Props {
    isShowSize?: boolean;
    store?: TopPanelStore;
}
/**
 * 我的文件列表
 */
export declare class FilePanel extends React.Component<Props, {}> {
    commonPanel: CommonPanel;
    private canCreateFile;
    private currentFileInfo;
    handleAddNewFile: (name: string, currentDir: IDirectoryProps) => boolean;
    handleFile: (name: string, currentDir: IDirectoryProps, callBack: () => void) => Promise<void>;
    handleMutDown: () => Promise<void>;
    handleDelete: (data: {
        file_ids: string[];
    }) => void;
    renderNav: () => JSX.Element;
    renderMenuItems: () => JSX.Element;
    BatchSend: () => void;
    render(): JSX.Element;
}
//# sourceMappingURL=FilePanel.d.ts.map