import { RoomWallBase } from "../../../../DatabaseServices/Room/Entity/Wall/RoomWallBase";
export declare enum RoomBaseParamsNames {
    WallThick = "wallThick",
    WallHeight = "wallHeight",
    HoleLength = "holeLength",
    HoleHeight = "holeHeight",
    HoleLeftDist = "holeLeftDist",
    HoleRightDist = "holeRightDist",
    HoleTopDist = "holeTopDist",
    HoleBottomDist = "holeBottomDist"
}
export default class RoomBaseParamsStore {
    isRoomWallParamsOpen: boolean;
    isRoomHoleParamsOpen: boolean;
    wallThick: number;
    wallHeight: number;
    holeHeight: number;
    holeLength: number;
    holeLeftDist: number;
    holeRightDist: number;
    holeTopDist: number;
    holeBottomDist: number;
    holeMaxHightDist: number;
    holeMaxLengthDist: number;
    holeLeftDistSliderMin: number;
    holeRightDistSliderMin: number;
    holeLeftDistSliderMax: number;
    holeRightDistSliderMax: number;
    holeTopDistSliderMax: number;
    holeBottomDistSliderMax: number;
    _EntityIds: number[];
    private constructor();
    UpdateUIData(): void;
    UpDateRoomBaseEntitysParams: (size_key: string) => Promise<void>;
    UpdateRoomBaseParse(ent: RoomWallBase): void;
    private static _SingleInstance;
    static GetSingleInstance: () => RoomBaseParamsStore;
}
//# sourceMappingURL=RoomBaseParamsStore.d.ts.map