import { Vector2 } from "three";
import { SelectType } from "../../Editor/SelectBox";
import { Viewer } from "../../GraphicsSystem/Viewer";
export declare class SelectMarquee {
    rightColor: string;
    leftColor: string;
    rightBorder: string;
    leftBorder: string;
    start: Vector2;
    end: Vector2;
    dom: HTMLElement;
    width: number;
    height: number;
    viewer: Viewer;
    selectType: SelectType;
    constructor(view: Viewer);
    Show(): void;
    Hide(): void;
    Update(): void;
    SetStart(x: number, y: number): void;
    SetEnd(x: number, y: number): void;
}
//# sourceMappingURL=SelectMarquee.d.ts.map