import { IBaseOption } from "./BoardInterface";
export declare enum SpacingType {
    Multiple32 = "32",
    EqualDist = "equal"
}
/**
 *勿随意更改属性名,若更改,需更改对应UI模态框的属性和检验方法的key
 *
 */
export interface DrillingOption extends IBaseOption {
    startDist: number;
    endDist: number;
    name: string;
    originDist: number;
    retDist: number;
    isEqualProportion: boolean;
    spacing: SpacingType;
    count: number;
    isFromBack: boolean;
    isForceDiv: boolean;
    notGangDist: number;
    pxlOffset: number;
    collsionDist: number;
    haveDist: boolean;
    dist2To1Dist: number;
    tIsOffset: boolean;
    tIsChange: boolean;
    tHoleOffset: number;
    tYmjRad: number;
    isDrawWood: boolean;
    wbHoleRad: number;
    wbHoleDepth: number;
    wsHoleRad: number;
    wsHoleLength: number;
    wdepth: number;
    pxlRad: number;
    pxlDepth: number;
    pxlDepthExpr: string;
    ljgRad: number;
    ljgLength: number;
    ljgLengthExpr: string;
    ymjRad: number;
    ymjDepth: number;
    ymjDepthExpr: string;
    ljgPos: string;
    woodPinPos: string;
    ymjPos: string;
    canSameType: boolean;
    useTemp: boolean;
    tempId: string;
    tempDirId: string;
    tempName: string;
}
//# sourceMappingURL=drillInterface.d.ts.map