import { Board } from "../../DatabaseServices/Entity/Board";
import { ISpaceParse } from "../../Geometry/SpaceParse/ISpaceParse";
import { IWineRackOption } from "../../UI/Store/WineRackInterface";
import { DrawWineRackTool } from "./DrawWinRackTool";
/**
 * 正酒格
 */
export declare class DrawUprightWineRackTool extends DrawWineRackTool {
    Parse(space: ISpaceParse, config: IWineRackOption): void;
    BuildBoard(gripHeight: number, spaceWidth: number, spaceHeight: number, space: ISpaceParse): void;
    ParseBrTooth(br: Board, gripHeight?: number): void;
}
//# sourceMappingURL=DrawUprightWineRackTool.d.ts.map