/**
 * 控制器的状态,按位表示.
 * @enum {number}
 */
export declare enum InputState {
    None = 0,
    SelectIng = 1,
    Select = 2,
    GetPoint = 4,
    GetDist = 8,
    Entsel = 16,
    GetKeyWord = 32,
    GetRect = 64,
    GetString = 128,
    All = 255
}
export interface KeyWord {
    msg: string;
    key: string;
    disable?: boolean;
    children?: KeyWord[];
}
export declare const MenuDividerKWD: KeyWord;
//# sourceMappingURL=InputState.d.ts.map