import { CADFiler } from './CADFiler';
import { CADObject } from './CADObject';
import { HistorycRecord } from './HistorycRecord';
import { ObjectAllDataHistoryRecord } from './ObjectAllDataHistoryRecord';
import { ObjectId } from './ObjectId';
/**
 * 命令的历史记录
 */
export declare class CommandHistoryRecord extends CADObject {
    CommandName: string;
    constructor(CommandName?: string);
    private _HistoryList;
    private _CreateObjects;
    get HistoryList(): Map<ObjectId, HistorycRecord[]>;
    private GetObjectHistoryList;
    EndCommand(): void;
    GetObjectAllDataRecord(historyList: HistorycRecord[]): ObjectAllDataHistoryRecord | undefined;
    WriteObjectHistoryPath(obj: CADObject, history: HistorycRecord): void;
    WriteObjectSnapshoot(obj: CADObject): void;
    CreateEraseHistory(obj: CADObject, isErase: boolean): void;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=CommandHistoryRecord.d.ts.map