import { ICommand } from "../UI/Components/CommandPanel/CommandList";
/**
 * 保存CAD的自定义命令,统一由这里经过CRUD操作
 */
export declare class CommandServer {
    private _NeedUpload;
    private _CustomCommand;
    private _CustomCommandMap;
    private _CommandCustomMap;
    private _CommandHotKeyMap;
    private _HotKeyCommandMap;
    private constructor();
    private static _SingleInstance;
    static GetInstance(): CommandServer;
    get CustomCommandMap(): Map<string, string>;
    get HotKeyCommandMap(): Map<string, string>;
    get CommandHotKeyMap(): Map<string, string>;
    ChangeCustonCommand(icommand: ICommand): void;
    GetCommandCanUseDefaultCustomCmd(cmd: ICommand): boolean;
    GetCommandCanUseDefaultHotkey(cmd: ICommand): boolean;
    Reset(): Promise<void>;
    Upload(): Promise<void>;
    InitCommandCustomCmdAndHotkey(): Promise<void>;
    ClearCustonCommand(): void;
    private ReadCustomCommandlist;
    private _LastScrollTop;
    SetLastScrollTop(scrollTop: number): Promise<void>;
    GetLastScrollTop(): Promise<number>;
    private RegistCustomCommand;
    private DeleteCustomCommand;
    private RegistHotkey;
    private DeleteHotkey;
}
//# sourceMappingURL=CommandServer.d.ts.map