import Flatbush from 'flatbush';
import { Box3 } from "three";
import { Jig } from "../../../Editor/Jig";
import { Contour } from "../../Contour";
import { Curve } from "../../Entity/Curve";
import { RoomWallBase } from "../Entity/Wall/RoomWallBase";
/**
 * 户型分析服务:
 * 1.自动延伸墙
 * 2.合理的构建墙
 * 3.自动分析地板
 */
export declare class RoomParseService {
    jig: Jig;
    constructor();
    Do(walls: RoomWallBase[]): void;
    fb: Flatbush;
    boxs: Box3[];
    GenFB(trimContours: Contour[]): void;
    TrimDraw(cu: Curve, trimContours: Contour[]): void;
}
//# sourceMappingURL=RoomParseService.d.ts.map