import { Box3 } from 'three';
/**
 * 盒子的切割类型
 */
export declare enum SplitType {
    X = 0,
    Y = 1,
    Z = 2
}
/**
 * 扩展Box3,添加切割方法,体积等
 */
export declare class Box3Ext extends Box3 {
    TempData: any;
    get Volume(): number;
    isSolid(minSize?: number): boolean;
    substract(b: Box3Ext, spaceType: SplitType): Box3Ext[];
    clampSpace(b2: Box3Ext, splitType: SplitType): this;
    intersectsBox(box: Box3, fuzz?: number): boolean;
}
export declare function IntersectsBox(box1: Box3, box2: Box3, fuzz?: number): boolean;
/**盒子二维面是否相交 */
export declare function IntersectBox2(box1: Box3, box2: Box3, fuzz?: number): boolean;
export declare function BoxIsSolid(box: Box3, minSize?: number): boolean;
//# sourceMappingURL=Box.d.ts.map