import { NestFiler } from "../Common/Filer";
import { Part } from "./Part";
import { Path } from "./Path";
export declare const DefaultComparePointKeys: string[];
/**
 * 排料数据库,用这个类来序列化需要排料的数据
 * 用于在Work间传输
 */
export declare class NestDatabase {
    Bin: Path;
    OddmentsBins: Path[];
    Paths: Path[];
    Parts: Part[];
    ComparePointKeys: string[];
    ReadFile(file: NestFiler): this;
    WriteFile(file: NestFiler): this;
    get File(): NestFiler;
}
//# sourceMappingURL=NestDatabase.d.ts.map