import { IConfigOption } from "../Components/Board/UserConfig";
import { INailRule, IShinkOption, IUiOption, LayerNailOption } from "./BoardInterface";
import { BoardStore } from "./BoardStore";
export declare class ActivityLayerBoardStore extends BoardStore<IShinkOption> {
    m_Option: IShinkOption;
    nailOption: LayerNailOption;
    private uiNailOption;
    currentRule: INailRule;
    currentIndex: number;
    rules: INailRule[];
    uiRule: IUiOption<INailRule>;
    get UINailOption(): IUiOption<LayerNailOption>;
    get UIRule(): IUiOption<INailRule>;
    AppendRule(): void;
    RemoveRule(): Promise<void>;
    InitOption(): void;
    SaveConfig(): IConfigOption<import("./BoardInterface").AnyObject>;
    UpdateOption(cof: IConfigOption): void;
    HasInvailValue(): string;
}
//# sourceMappingURL=ActivityLayerBoardStore.d.ts.map