import { CAG } from "./CAG";
import { CSG } from "./CSG";
import { Vector2D } from "./math/Vector2";
export declare function fromFakeCSG(csg: CSG): CAG;
/** Construct a CAG from a list of points (a polygon).
 * Like fromPoints() but does not check if the result is a valid polygon.
 * The points MUST rotate counter clockwise.
 * The points can define a convex or a concave polygon.
 * The polygon must not self intersect.
 */
export declare function fromPointsNoCheck(points: Vector2D[]): CAG;
//# sourceMappingURL=CAGFactories.d.ts.map